Source: ding-libs
Section: libs
Priority: optional
Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 13),
 quilt,
 check,
 pkg-config,
Standards-Version: 4.6.0
Homepage: https://github.com/SSSD/ding-libs
Vcs-Git: https://salsa.debian.org/sssd-team/ding-libs.git
Vcs-Browser: https://salsa.debian.org/sssd-team/ding-libs

Package: libpath-utils-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libpath-utils1 (= ${binary:Version}),
Description: Development files for libpath_utils
 Utility functions to manipulate filesystem pathnames. Development files.
 .
 This package is part of the ding-libs, libraries that are required for the
 proper functioning of SSSD, the System Security Services Daemon.

Package: libpath-utils1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Filesystem Path Utilities
 Utility functions to manipulate filesystem pathnames.
 .
 This package is part of the ding-libs, libraries that are required for the
 proper functioning of SSSD, the System Security Services Daemon.

Package: libdhash-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libdhash1 (= ${binary:Version}),
Description: Development files for libdhash
 A hash table which will dynamically resize to achieve optimal storage & access
 time properties. Development files.
 .
 This package is part of the ding-libs, libraries that are required for the
 proper functioning of SSSD, the System Security Services Daemon.

Package: libdhash1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Dynamic hash table
 A hash table which will dynamically resize to achieve optimal storage & access
 time properties.
 .
 This package is part of the ding-libs, libraries that are required for the
 proper functioning of SSSD, the System Security Services Daemon.

Package: libcollection-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libcollection4 (= ${binary:Version}),
Description: Development files for libcollection
 A data-type to collect data in a hierarchical structure for easy iteration
 and serialization. Development files.
 .
 This package is part of the ding-libs, libraries that are required for the
 proper functioning of SSSD, the System Security Services Daemon.

Package: libcollection4
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection data-type for C
 A data-type to collect data in a hierarchical structure for easy iteration
 and serialization.
 .
 This package is part of the ding-libs, libraries that are required for the
 proper functioning of SSSD, the System Security Services Daemon.

Package: libref-array-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libref-array1 (= ${binary:Version}),
Description: Development files for refcounted array for C
 A dynamically-growing, reference-counted array. Development files.
 .
 This package is part of the ding-libs, libraries that are required for the
 proper functioning of SSSD, the System Security Services Daemon.

Package: libref-array1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: refcounted array for C
 A dynamically-growing, reference-counted array
 .
 This package is part of the ding-libs, libraries that are required for the
 proper functioning of SSSD, the System Security Services Daemon.

Package: libini-config-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libini-config5 (= ${binary:Version}),
 libcollection-dev (= ${binary:Version}),
 libbasicobjects-dev (= ${binary:Version}),
 libref-array-dev (= ${binary:Version}),
Description: Development files for libini_config
 Library to process config files in INI format into a libcollection data
 structure. Development files.
 .
 This package is part of the ding-libs, libraries that are required for the
 proper functioning of SSSD, the System Security Services Daemon.

Package: libini-config5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: INI file parser for C
 Library to process config files in INI format into a libcollection data
 structure.
 .
 This package is part of the ding-libs, libraries that are required for the
 proper functioning of SSSD, the System Security Services Daemon.

Package: libbasicobjects-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libbasicobjects0 (= ${binary:Version}),
Description: Basic object types for C -- development files
 Library that add basic object types for C. Development files.
 .
 This package is part of the ding-libs, libraries that are required for the
 proper functioning of SSSD, the System Security Services Daemon.

Package: libbasicobjects0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
Multi-Arch: same
Description: Basic object types for C
 Library that add basic object types for C.
 .
 This package is part of the ding-libs, libraries that are required for the
 proper functioning of SSSD, the System Security Services Daemon.
